summaryrefslogtreecommitdiffstats
path: root/run-libcore-tests
diff options
context:
space:
mode:
authorElliott Hughes <enh@google.com>2011-05-20 14:46:09 -0700
committerElliott Hughes <enh@google.com>2011-05-20 14:46:09 -0700
commit94e96096fb401d0c9bf86e3c00c849a57718b504 (patch)
tree81cdb2d98cb87f915037bbcf218a169d2c231cb6 /run-libcore-tests
parenteba17bf8426af71f259c5f5f1a07af095864ea3a (diff)
downloadlibcore-94e96096fb401d0c9bf86e3c00c849a57718b504.zip
libcore-94e96096fb401d0c9bf86e3c00c849a57718b504.tar.gz
libcore-94e96096fb401d0c9bf86e3c00c849a57718b504.tar.bz2
Add run-libcore-tests to the tree.
Formerly in the CB's bin/. Change-Id: I17c4ee69774e7c66b02d6bd40535eb16ab403a61
Diffstat (limited to 'run-libcore-tests')
-rwxr-xr-xrun-libcore-tests24
1 files changed, 24 insertions, 0 deletions
diff --git a/run-libcore-tests b/run-libcore-tests
new file mode 100755
index 0000000..a1a66ae
--- /dev/null
+++ b/run-libcore-tests
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# make sure there's a vogar on the path, but prefer the user's one.
+export PATH=$PATH:~dalvik-prebuild/vogar/bin
+
+VOGAR="vogar $VOGAR_FLAGS $*"
+
+# We enumerate the test packages for vogar rather than just giving it the classes.jar
+# so hundreds of packages can be tested in parallel, rather than one big jar file serially.
+all_test_packages=$(find libcore/*/src/test -name "*.java" | \
+ fgrep -v junit | \
+ fgrep -v org/w3c/domts | \
+ xargs grep -h '^package ' | sed 's/^package //' | sed 's/;$//' | sort | uniq | tr "\n" " ")
+
+echo "Running tests for following test packages:"
+echo $all_test_packages | tr " " "\n"
+
+$VOGAR \
+ --vm-arg -Xmx32M \
+ --classpath out/target/common/obj/JAVA_LIBRARIES/core-tests_intermediates/javalib.jar \
+ --classpath out/target/common/obj/JAVA_LIBRARIES/sqlite-jdbc_intermediates/classes.jar \
+ $all_test_packages \
+ tests.api.org.w3c.dom \
+ || true